ENet v1.3.13 Reliable UDP networking library

- Home
- Features
- Downloads
- Installation
- Tutorial
- Mailing List
- IRC Channel
- FAQ
- License
- Documentation

- Functions
- Data Structures
- Files
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
ENetPeer Struct Reference

An ENet peer which data packets may be sent or received from. More...

`#include <enet.h>`

## Data Fields
ENetList | acknowledgements
ENetAddress | address
| Internet address of the peer. More...
size_t | channelCount
| Number of channels allocated for communication with peer. More...
ENetChannel * | channels
enet_uint32 | connectID
void * | data
| Application private data, may be freely modified. More...
ENetList | dispatchedCommands
ENetListNode | dispatchList
enet_uint32 | earliestTimeout
enet_uint32 | eventData
enet_uint32 | highestRoundTripTimeVariance
struct _ENetHost * | host
enet_uint32 | incomingBandwidth
| Downstream bandwidth of the client in bytes/second. More...
enet_uint32 | incomingBandwidthThrottleEpoch
enet_uint32 | incomingDataTotal
enet_uint16 | incomingPeerID
enet_uint8 | incomingSessionID
enet_uint16 | incomingUnsequencedGroup
enet_uint32 | lastReceiveTime
enet_uint32 | lastRoundTripTime
enet_uint32 | lastRoundTripTimeVariance
enet_uint32 | lastSendTime
enet_uint32 | lowestRoundTripTime
enet_uint32 | mtu
int | needsDispatch
enet_uint32 | nextTimeout
enet_uint32 | outgoingBandwidth
| Upstream bandwidth of the client in bytes/second. More...
enet_uint32 | outgoingBandwidthThrottleEpoch
enet_uint32 | outgoingDataTotal
enet_uint16 | outgoingPeerID
ENetList | outgoingReliableCommands
enet_uint16 | outgoingReliableSequenceNumber
enet_uint8 | outgoingSessionID
ENetList | outgoingUnreliableCommands
enet_uint16 | outgoingUnsequencedGroup
enet_uint32 | packetLoss
| mean packet loss of reliable packets as a ratio with respect to the constant ENET_PEER_PACKET_LOSS_SCALE More...
enet_uint32 | packetLossEpoch
enet_uint32 | packetLossVariance
enet_uint32 | packetsLost
enet_uint32 | packetsSent
enet_uint32 | packetThrottle
enet_uint32 | packetThrottleAcceleration
enet_uint32 | packetThrottleCounter
enet_uint32 | packetThrottleDeceleration
enet_uint32 | packetThrottleEpoch
enet_uint32 | packetThrottleInterval
enet_uint32 | packetThrottleLimit
enet_uint32 | pingInterval
enet_uint32 | reliableDataInTransit
enet_uint32 | roundTripTime
| mean round trip time (RTT), in milliseconds, between sending a reliable packet and receiving its acknowledgement More...
enet_uint32 | roundTripTimeVariance
ENetList | sentReliableCommands
ENetList | sentUnreliableCommands
ENetPeerState | state
enet_uint32 | timeoutLimit
enet_uint32 | timeoutMaximum
enet_uint32 | timeoutMinimum
size_t | totalWaitingData
enet_uint32 | unsequencedWindow [ENET_PEER_UNSEQUENCED_WINDOW_SIZE/32]
enet_uint32 | windowSize

## Detailed Description

An ENet peer which data packets may be sent or received from.

No fields should be modified unless otherwise specified.

## Field Documentation

ENetList ENetPeer::acknowledgements

ENetAddress ENetPeer::address

Internet address of the peer.

size_t ENetPeer::channelCount

Number of channels allocated for communication with peer.

ENetChannel* ENetPeer::channels

enet_uint32 ENetPeer::connectID

void* ENetPeer::data

Application private data, may be freely modified.

ENetList ENetPeer::dispatchedCommands

ENetListNode ENetPeer::dispatchList

enet_uint32 ENetPeer::earliestTimeout

enet_uint32 ENetPeer::eventData

enet_uint32 ENetPeer::highestRoundTripTimeVariance

struct _ENetHost* ENetPeer::host

enet_uint32 ENetPeer::incomingBandwidth

Downstream bandwidth of the client in bytes/second.

enet_uint32 ENetPeer::incomingBandwidthThrottleEpoch

enet_uint32 ENetPeer::incomingDataTotal

enet_uint16 ENetPeer::incomingPeerID

enet_uint8 ENetPeer::incomingSessionID

enet_uint16 ENetPeer::incomingUnsequencedGroup

enet_uint32 ENetPeer::lastReceiveTime

enet_uint32 ENetPeer::lastRoundTripTime

enet_uint32 ENetPeer::lastRoundTripTimeVariance

enet_uint32 ENetPeer::lastSendTime

enet_uint32 ENetPeer::lowestRoundTripTime

enet_uint32 ENetPeer::mtu

int ENetPeer::needsDispatch

enet_uint32 ENetPeer::nextTimeout

enet_uint32 ENetPeer::outgoingBandwidth

Upstream bandwidth of the client in bytes/second.

enet_uint32 ENetPeer::outgoingBandwidthThrottleEpoch

enet_uint32 ENetPeer::outgoingDataTotal

enet_uint16 ENetPeer::outgoingPeerID

ENetList ENetPeer::outgoingReliableCommands

enet_uint16 ENetPeer::outgoingReliableSequenceNumber

enet_uint8 ENetPeer::outgoingSessionID

ENetList ENetPeer::outgoingUnreliableCommands

enet_uint16 ENetPeer::outgoingUnsequencedGroup

enet_uint32 ENetPeer::packetLoss

mean packet loss of reliable packets as a ratio with respect to the constant ENET_PEER_PACKET_LOSS_SCALE

enet_uint32 ENetPeer::packetLossEpoch

enet_uint32 ENetPeer::packetLossVariance

enet_uint32 ENetPeer::packetsLost

enet_uint32 ENetPeer::packetsSent

enet_uint32 ENetPeer::packetThrottle

enet_uint32 ENetPeer::packetThrottleAcceleration

enet_uint32 ENetPeer::packetThrottleCounter

enet_uint32 ENetPeer::packetThrottleDeceleration

enet_uint32 ENetPeer::packetThrottleEpoch

enet_uint32 ENetPeer::packetThrottleInterval

enet_uint32 ENetPeer::packetThrottleLimit

enet_uint32 ENetPeer::pingInterval

enet_uint32 ENetPeer::reliableDataInTransit

enet_uint32 ENetPeer::roundTripTime

mean round trip time (RTT), in milliseconds, between sending a reliable packet and receiving its acknowledgement

enet_uint32 ENetPeer::roundTripTimeVariance

ENetList ENetPeer::sentReliableCommands

ENetList ENetPeer::sentUnreliableCommands

ENetPeerState ENetPeer::state

enet_uint32 ENetPeer::timeoutLimit

enet_uint32 ENetPeer::timeoutMaximum

enet_uint32 ENetPeer::timeoutMinimum

size_t ENetPeer::totalWaitingData

enet_uint32 ENetPeer::unsequencedWindow[ENET_PEER_UNSEQUENCED_WINDOW_SIZE/32]

enet_uint32 ENetPeer::windowSize

The documentation for this struct was generated from the following file:

- include/enet/enet.h